Bug 1219948 - Review Request: ardour2 - Digital Audio Workstation
Summary: Review Request: ardour2 - Digital Audio Workstation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-08 19:24 UTC by Nils Philippsen
Modified: 2015-05-26 03:44 UTC (History)
3 users (show)

Fixed In Version: ardour2-2.8.16-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-26 03:44:23 UTC
Type: ---
brendan.jones.it: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nils Philippsen 2015-05-08 19:24:03 UTC
Spec URL: https://nphilipp.fedorapeople.org/review/ardour2/ardour2.spec
SRPM URL: https://nphilipp.fedorapeople.org/review/ardour2/ardour2-2.8.16-1.fc23.src.rpm
Description: This package contains the legacy version 2 of Ardour. It is provided as a way
to work on sessions created by this version. Please use the current version of
Ardour for new projects.

Ardour is a multichannel hard disk recorder (HDR) and digital audio workstation
(DAW). It is capable of simultaneous recording 24 or more channels of 32 bit
audio at 48kHz. Ardour is intended to function as a "professional" HDR system,
replacing dedicated hardware solutions such as the Mackie HDR, the Tascam 2424
and more traditional tape systems like the Alesis ADAT series. It is also
intended to provide the same or better functionality as software systems such
as ProTools, Samplitude, Logic Audio, Nuendo and Cubase VST (we acknowledge
these and all other names as trademarks of their respective owners). It
supports MIDI Machine Control, and so can be controlled from any MMC
controller, such as the Mackie Digital 8 Bus mixer and many other modern
digital mixers.
Fedora Account System Username: nphilipp

Comment 1 Nils Philippsen 2015-05-08 20:56:16 UTC
NB: This is essentially just the "ardour" package, renamed. See here for rationale:

https://lists.fedoraproject.org/pipermail/music/2015-May/002005.html

Comment 2 Brendan Jones 2015-05-11 15:05:00 UTC
No issues here other than the executable flag on the download script. this is approved


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "Unknown or generated", "MIT/X11 (BSD like)", "LGPL (v2 or later) (with
     incorrect FSF address)", "LGPL (v2.1) (with incorrect FSF address)", "GPL
     (v2 or later) (with incorrect FSF address)", "*No copyright* LGPL (v2 or
     later) (with incorrect FSF address)", "*No copyright* GPL (v2 or later)",
     "LGPL (v2.1 or later)". 133 files have unknown license. Detailed output
     of licensecheck in /tmp/ardour2/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
  
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: ardour2-2.8.16-1.fc23.src.rpm
ardour2.src: W: spelling-error %description -l en_US Ardour -> Armour, Ar dour, Ar-dour
ardour2.src: W: spelling-error %description -l en_US multichannel -> multiplicand
ardour2.src: W: strange-permission ardour.script 0775L
ardour2.src: W: invalid-url Source0: ardour-2.8.16.tar.bz2

Comment 3 Nils Philippsen 2015-05-11 19:44:24 UTC
Rpmlint probably doesn't know about the extension ".script" and doesn't like the file being made executable. I'll rename the file to ardour.sh and trim the description a bit before building.

Comment 4 Nils Philippsen 2015-05-11 19:47:05 UTC
New Package SCM Request
=======================
Package Name: ardour2
Short Description: Digital Audio Workstation
Upstream URL: http://ardour.org
Owners: nphilipp
Branches: f21 f22
InitialCC:

Comment 5 Gwyn Ciesla 2015-05-11 19:52:35 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-05-12 09:39:09 UTC
ardour2-2.8.16-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ardour2-2.8.16-1.fc22

Comment 7 Fedora Update System 2015-05-13 08:21:01 UTC
ardour2-2.8.16-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 8 Fedora Update System 2015-05-26 03:44:23 UTC
ardour2-2.8.16-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.